crashpad::ScopedProcessSuspend Class Reference

Manages the suspension of another process. More...

`#include "util/win/scoped_process_suspend.h"`

## Public Member Functions

| ScopedProcessSuspend (HANDLE process)
| Does not take ownership of process.
void | TolerateTermination ()
| Informs the object that the suspended process may be terminating, and that this should not be treated as an error. More...

## Detailed Description

Manages the suspension of another process.

While an object of this class exists, the other process will be suspended. Once the object is destroyed, the other process will become eligible for resumption.

If this process crashes while this object exists, there is no guarantee that the other process will be resumed.

## Member Function Documentation

## TolerateTermination()

void crashpad::ScopedProcessSuspend::TolerateTermination | ( |  | ) |

Informs the object that the suspended process may be terminating, and that this should not be treated as an error.

Normally, attempting to resume a terminating process during destruction results in an error message being logged for `STATUS_PROCESS_IS_TERMINATING`. When it is known that a process may be terminating, this method may be called to suppress that error message.

The documentation for this class was generated from the following files:

- util/win/scoped_process_suspend.h
- util/win/scoped_process_suspend.cc